# TODO:
# - use gtk4-update-icon-cache
#
# Conditional build:
%bcond_without	flatpak		# Flatpak support
%bcond_without	fwupd		# firmware support via fwupd
%bcond_with	eos		# Endless OS updater support
%bcond_with	libsoup3	# libsoup3 instead of libsoup 2 (must match flatpak)
%bcond_without	malcontent	# parental control via libmalcontent
%bcond_with	mogwai		# metered data support using Mogwai
%bcond_without	packagekit	# PackageKit support
%bcond_with	rpm		# rpm-ostree support
%bcond_with	snap		# Snap support
%bcond_with	ext_appstream	# external appstream support
%bcond_with	sysprof		# sysprof-capture support for profiling
#
Summary:	GNOME Software - install and update applications and system extensions
Summary(pl.UTF-8):	GNOME Software - instalowanie i uaktualnianie aplikacji oraz rozszerzeń systemu
Name:		gnome-software
Version:	42.4
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-software/42/%{name}-%{version}.tar.xz
# Source0-md5:	cfe62f8eb41301f7c0991cc54d41758f
URL:		https://wiki.gnome.org/Apps/Software
BuildRequires:	AppStream-devel >= 0.14.0
%{?with_packagekit:BuildRequires:	PackageKit-devel >= 1.1.0}
BuildRequires:	docbook-style-xsl-nons
%{?with_flatpak:BuildRequires:	flatpak-devel >= 1.9.1}
%{?with_fwupd:BuildRequires:	fwupd-devel >= 1.5.6}
BuildRequires:	gdk-pixbuf2-devel >= 2.32.0
BuildRequires:	gettext-its-metainfo
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	glib2-devel >= 1:2.66.0
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	gsettings-desktop-schemas-devel >= 3.18.0
BuildRequires:	gtk4-devel >= 4.6
BuildRequires:	gtk-doc >= 1.11
BuildRequires:	gspell-devel
BuildRequires:	json-glib-devel >= 1.6.0
BuildRequires:	libadwaita-devel >= 1.0.1
%{?with_rpm:BuildRequires:	libdnf-devel}
%{?with_malcontent:BuildRequires:	libmalcontent-devel >= 0.3.0}
%{!?with_libsoup3:BuildRequires:	libsoup-devel >= 2.52.0}
%{?with_libsoup3:BuildRequires:	libsoup3-devel >= 3.0}
BuildRequires:	libxmlb-devel >= 0.1.7
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.55.0
# mogwai-schedule-client-0
%{?with_mogwai:BuildRequires:	mogwai-devel >= 0.2.0}
BuildRequires:	ninja >= 1.5
%if %{with eos} || %{with rpm}
BuildRequires:	ostree-devel
%endif
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel
BuildRequires:	rpm-build >= 4.6
%{?with_rpm:BuildRequires:	rpm-devel >= 1:4.16}
%{?with_rpm:BuildRequires:	rpm-ostree-devel >= 2019.3}
BuildRequires:	rpmbuild(macros) >= 1.752
%{?with_snap:BuildRequires:	snapd-glib-devel >= 1.50}
%{?with_sysprof:BuildRequires:	sysprof-devel >= 3.37.2}
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel
# pkgconfig(valgrind)
BuildRequires:	valgrind
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.66.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	AppStream >= 0.14.0
%{?with_packagekit:Requires:	PackageKit >= 1.1.0}
%{?with_flatpak:Requires:	flatpak-libs >= 1.9.1}
%{?with_fwupd:Requires:	fwupd-libs >= 1.5.6}
Requires:	gdk-pixbuf2 >= 2.32.0
Requires:	glib2 >= 1:2.66.0
Requires:	gsettings-desktop-schemas >= 3.18.0
Requires:	gtk4 >= 4.6
Requires:	hicolor-icon-theme
Requires:	json-glib >= 1.6.0
Requires:	libadwaita >= 1.0.1
%{?with_malcontent:Requires:	libmalcontent >= 0.3.0}
%{!?with_libsoup3:Requires:	libsoup >= 2.52}
Requires:	libxmlb >= 0.1.7
%{?with_mogwai:Requires:	mogwai >= 0.2.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		gs_plugins_dir	%{_libdir}/gnome-software/plugins-18

%description
GNOME Software lets you install and update applications and system
extensions.

%description -l pl.UTF-8
GNOME Software pozwala instalować i uaktualniać aplikacje oraz
rozszerzenia systemu.

%package devel
Summary:	Header files for GNOME Software plugins development
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia wtyczek GNOME Software
Group:		Development/Libraries
# doesn't require base
Requires:	AppStream-devel >= 0.14.0
Requires:	atk-devel
Requires:	glib2-devel >= 1:2.66.0
Requires:	gtk+3-devel >= 3.22.4
%{!?with_libsoup3:Requires:	libsoup-devel >= 2.52.0}

%description devel
Header files for GNOME Software plugins development.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia wtyczek GNOME Software.

%package apidocs
Summary:	GNOME Software plugin API documentation
Summary(pl.UTF-8):	Dokumentacja API wtyczek GNOME Software
Group:		Documentation
BuildArch:	noarch

%description apidocs
GNOME Software plugin API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API wtyczek GNOME Software.

%prep
%setup -q

%build
%meson build \
	--default-library=shared \
	%{?with_ext_appstream:-Dexternal_appstream=true} \
	%{!?with_flatpak:-Dflatpak=false} \
	%{!?with_fwupd:-Dfwupd=false} \
	%{?with_eos:-Deos_updater=true} \
	%{!?with_malcontent:-Dmalcontent=false} \
	%{?with_mogwai:-Dmogwai=true} \
	%{?with_packagekit:-Dpackagekit=true} \
	%{?with_rpm:-Drpm_ostree=true} \
	%{?with_snap:-Dsnap=true} \
	%{!?with_libsoup3:-Dsoup2=true} \
	%{!?with_sysprof:-Dsysprof=disabled}
# packagekit_autoremove?

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/gnome-software

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-software
/etc/xdg/autostart/org.gnome.Software.desktop
%attr(755,root,root) %{_libexecdir}/gnome-software-cmd
%attr(755,root,root) %{_libexecdir}/gnome-software-restarter
%dir %{_libdir}/gnome-software
%attr(755,root,root) %{_libdir}/gnome-software/libgnomesoftware.so.18
%dir %{gs_plugins_dir}
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_appstream.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_dpkg.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_dummy.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_fedora-langpacks.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_fedora-pkgdb-collections.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_generic-updates.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_hardcoded-blocklist.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_icons.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_modalias.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_os-release.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_provenance.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_provenance-license.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_repos.so
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_rewrite-resource.so
%{_datadir}/dbus-1/services/org.gnome.Software.service
%{_datadir}/glib-2.0/schemas/org.gnome.software.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Software-search-provider.ini
%{_datadir}/metainfo/org.gnome.Software.appdata.xml
%dir %{_datadir}/swcatalog
%dir %{_datadir}/swcatalog/xml
%{_datadir}/swcatalog/xml/org.gnome.Software.Featured.xml
%{_datadir}/swcatalog/xml/org.gnome.Software.Popular.xml
%if %{with eos}
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_eos-updater.so
%endif
%if %{with ext_appstream}
%attr(755,root,root) %{_libexecdir}/gnome-software-install-appstream
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_external-appstream.so
%{_datadir}/polkit-1/actions/org.gnome.software.external-appstream.policy
%endif
%if %{with flatpak}
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_flatpak.so
%{_datadir}/metainfo/org.gnome.Software.Plugin.Flatpak.metainfo.xml
%endif
%if %{with fwupd}
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_fwupd.so
%{_datadir}/metainfo/org.gnome.Software.Plugin.Fwupd.metainfo.xml
%endif
%if %{with malcontent}
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_malcontent.so
%endif
%if %{with packagekit}
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_packagekit.so
%{_datadir}/dbus-1/services/org.freedesktop.PackageKit.service
%endif
%if %{with rpm}
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_rpm-ostree.so
%endif
%if %{with snap}
%attr(755,root,root) %{gs_plugins_dir}/libgs_plugin_snap.so
%{_datadir}/metainfo/org.gnome.Software.Plugin.Snap.metainfo.xml
%endif
%{_desktopdir}/gnome-software-local-file.desktop
%{_desktopdir}/org.gnome.Software.desktop
%{_iconsdir}/hicolor/scalable/actions/app-remove-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Software.svg
%{_iconsdir}/hicolor/scalable/status/software-installed-symbolic.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Software-symbolic.svg
%{_mandir}/man1/gnome-software.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnome-software/libgnomesoftware.so
%{_includedir}/gnome-software
%{_pkgconfigdir}/gnome-software.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gnome-software
%changelog
* Wed Aug 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-software.git;a=log;h=auto/th/gnome-software-42.4-1

* Mon Aug 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 94b428f
- updated to 42.4

* Sun Jul 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 171144a
- updated rpm version and snapd-glib package name

* Wed Jul 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 72cf295
- updated to 42.3

* Sun Jun 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 99bdc32
- updated to 42.2

* Wed Apr 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 3037d1e
- updated to 42.1

* Fri Feb 18 2022 Jakub Bogusz <qboosh@pld-linux.org> ef55d56
- updated to 41.4

* Sun Jan 09 2022 Jakub Bogusz <qboosh@pld-linux.org> f48d594
- updated to 41.3

* Fri Dec 03 2021 Jakub Bogusz <qboosh@pld-linux.org> 48e8aea
- updated to 41.2

* Thu Oct 28 2021 Jakub Bogusz <qboosh@pld-linux.org> f4c5da0
- updated to 41.1

* Mon Sep 27 2021 Jakub Bogusz <qboosh@pld-linux.org> c27aee0
- updated to 41.0

* Thu Aug 19 2021 Jakub Bogusz <qboosh@pld-linux.org> fdee433
- updated to 40.4

* Sat Jul 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 8b660aa
- updated to 40.3

* Mon Jun 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 55544e6
- updated to 40.2

* Wed May 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 21915ae
- updated to 40.1

* Sat Mar 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 4e0c5ee
- updated to 40.0

* Fri Mar 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 44bb5c2
- updated to 3.38.2

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 50eade1
- unconditional noarch subpackages

* Tue Feb 09 2021 Jakub Bogusz <qboosh@pld-linux.org> 5e93ad7
- updated to 3.38.1

* Sat Sep 12 2020 Jakub Bogusz <qboosh@pld-linux.org> f9088ba
- typo

* Sat Sep 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 8e06b5c
- updated to 3.38.0

